%global         momorel 2

# Find a free display (resources generation requires X) and sets XDISPLAY
%define init_xdisplay XDISPLAY=2; while [ $XDISPLAY -lt 13 ]; do if [ ! -f /tmp/.X$XDISPLAY-lock ]; then sleep 2s; ( /usr/bin/Xvfb -ac -render :$XDISPLAY >& /dev/null & ); sleep 15s; if [ -f /tmp/.X$XDISPLAY-lock ]; then export DISPLAY=:$XDISPLAY; break ; fi; fi; XDISPLAY=$(($XDISPLAY+1)); done; if [ $XDISPLAY -ge 13 ]; then echo No free display found; exit 1; fi
# The virtual X server PID
%define kill_xdisplay kill $(cat /tmp/.X$XDISPLAY-lock)


Name:           perl-GD-Convert
Version:        2.14
Release:        %{momorel}m%{?dist}
Summary:        Additional output formats for GD
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/GD-Convert/
Source0:        http://www.cpan.org/modules/by-module/GD/GD-Convert-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-GD
BuildRequires:  xorg-x11-server-Xvfb
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module provides additional output methods for the GD module: ppm, xpm,
wbmp, gif_netpbm and gif_imagemagick, and also additional constructors:
newFromPpm, newFromPpmData, newFromGif_netpbm, newFromGifData_netpbm,
newFromGif_imagemagick, newFromGifData_imagemagick.

%prep
%setup -q -n GD-Convert-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%{init_xdisplay}
export DISPLAY=":$XDISPLAY"
make test
%{kill_xdisplay}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/GD/*
%{_mandir}/man3/*

%changelog
* Wed Oct  1 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.14-2m)
- add option: -render to Xvfb (to avoid segmentation fault in %%check)

* Thu Jul 24 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.14-1m)
- update to 2.14

* Fri Jul  4 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.13-4m)
- add BuildRequires: xorg-x11-server-Xvfb

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.13-3m)
- rebuild against gcc43

* Fri Oct 12 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.13-2m)
- add XDISPLAY support

* Tue Oct 09 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.13-1m)
- Specfile autogenerated by cpanspec 1.73 for Momonga Linux.
